# Help

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                              | Action Name          | Description                                                                                                                |
| ----------------------------------------------------------- | -------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [Online help](/ida-actions/toggleonlinemanual.md)           | `ToggleOnlineManual` | Use either the online, or bundled IDA manual                                                                               |
| [Help](/ida-actions/showhelp.md)                            | `ShowHelp`           | Help                                                                                                                       |
| [IDC SDK](/ida-actions/helpidcsdk.md)                       | `HelpIdcSDK`         | IDC SDK                                                                                                                    |
| [C++ SDK](/ida-actions/helpcppsdk.md)                       | `HelpCppSDK`         | C++ SDK                                                                                                                    |
| [Python SDK](/ida-actions/helppythonsdk.md)                 | `HelpPythonSDK`      | Python SDK                                                                                                                 |
| [Domain API](/ida-actions/helpdomainapi.md)                 | `HelpDomainAPI`      |                                                                                                                            |
| [About program...](/ida-actions/about.md)                   | `About`              | About program                                                                                                              |
| [License manager...](/ida-actions/licensemanager.md)        | `LicenseManager`     | Open license manager. The license manager dialog (**Help -> License manager...**) lets you pick a license to use IDA with. |
| [How to buy IDA](/ida-actions/buyida.md)                    | `BuyIDA`             | How to buy IDA                                                                                                             |
| [IDA home page](/ida-actions/homepage.md)                   | `Homepage`           | IDA home page                                                                                                              |
| [IDA support forum](/ida-actions/supportforum.md)           | `SupportForum`       | IDA support forum                                                                                                          |
| Send database...                                            | `hx:SendIDB`         |                                                                                                                            |
| Extract function...                                         | `hx:ExtractFunc`     |                                                                                                                            |
| [Check for free update...](/ida-actions/checkfreeupdate.md) | `CheckFreeUpdate`    | Check for free update                                                                                                      |
| [Report a bug or an issue...](/ida-actions/bugreport.md)    | `BugReport`          | Report a bug or an issue                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/common-actions-7.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
